/***************/
/* MEYER RESET */
/***************/
@import url(./?mortyurl=https%3A%2F%2Ffonts.googleapis.com%2Fcss%3Ffamily%3DNeuton%3A400%2C400italic%2C700%2C800%2C200%2C300);
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1;
}

ol, ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

*, *:before, *:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.highlight {
  margin: 20px 20px;
  overflow: auto;
}

code {
  font-size: 18px;
  font-family: 'Bitstream Vera Sans Mono','Courier', monospace;
}

.highlight .hll {
  background-color: #49483e;
}

.highlight {
  background: #272822;
  color: #f8f8f2;
}

.highlight .c {
  color: #75715e;
}

/* Comment */
.highlight .err {
  color: #960050;
  background-color: #1e0010;
}

/* Error */
.highlight .k {
  color: #66d9ef;
}

/* Keyword */
.highlight .l {
  color: #ae81ff;
}

/* Literal */
.highlight .n {
  color: #f8f8f2;
}

/* Name */
.highlight .o {
  color: #f92672;
}

/* Operator */
.highlight .p {
  color: #f8f8f2;
}

/* Punctuation */
.highlight .ch {
  color: #75715e;
}

/* Comment.Hashbang */
.highlight .cm {
  color: #75715e;
}

/* Comment.Multiline */
.highlight .cp {
  color: #75715e;
}

/* Comment.Preproc */
.highlight .cpf {
  color: #75715e;
}

/* Comment.PreprocFile */
.highlight .c1 {
  color: #75715e;
}

/* Comment.Single */
.highlight .cs {
  color: #75715e;
}

/* Comment.Special */
.highlight .gd {
  color: #f92672;
}

/* Generic.Deleted */
.highlight .ge {
  font-style: italic;
}

/* Generic.Emph */
.highlight .gi {
  color: #a6e22e;
}

/* Generic.Inserted */
.highlight .gs {
  font-weight: bold;
}

/* Generic.Strong */
.highlight .gu {
  color: #75715e;
}

/* Generic.Subheading */
.highlight .kc {
  color: #66d9ef;
}

/* Keyword.Constant */
.highlight .kd {
  color: #66d9ef;
}

/* Keyword.Declaration */
.highlight .kn {
  color: #f92672;
}

/* Keyword.Namespace */
.highlight .kp {
  color: #66d9ef;
}

/* Keyword.Pseudo */
.highlight .kr {
  color: #66d9ef;
}

/* Keyword.Reserved */
.highlight .kt {
  color: #66d9ef;
}

/* Keyword.Type */
.highlight .ld {
  color: #e6db74;
}

/* Literal.Date */
.highlight .m {
  color: #ae81ff;
}

/* Literal.Number */
.highlight .s {
  color: #e6db74;
}

/* Literal.String */
.highlight .na {
  color: #a6e22e;
}

/* Name.Attribute */
.highlight .nb {
  color: #f8f8f2;
}

/* Name.Builtin */
.highlight .nc {
  color: #a6e22e;
}

/* Name.Class */
.highlight .no {
  color: #66d9ef;
}

/* Name.Constant */
.highlight .nd {
  color: #a6e22e;
}

/* Name.Decorator */
.highlight .ni {
  color: #f8f8f2;
}

/* Name.Entity */
.highlight .ne {
  color: #a6e22e;
}

/* Name.Exception */
.highlight .nf {
  color: #a6e22e;
}

/* Name.Function */
.highlight .nl {
  color: #f8f8f2;
}

/* Name.Label */
.highlight .nn {
  color: #f8f8f2;
}

/* Name.Namespace */
.highlight .nx {
  color: #a6e22e;
}

/* Name.Other */
.highlight .py {
  color: #f8f8f2;
}

/* Name.Property */
.highlight .nt {
  color: #f92672;
}

/* Name.Tag */
.highlight .nv {
  color: #f8f8f2;
}

/* Name.Variable */
.highlight .ow {
  color: #f92672;
}

/* Operator.Word */
.highlight .w {
  color: #f8f8f2;
}

/* Text.Whitespace */
.highlight .mb {
  color: #ae81ff;
}

/* Literal.Number.Bin */
.highlight .mf {
  color: #ae81ff;
}

/* Literal.Number.Float */
.highlight .mh {
  color: #ae81ff;
}

/* Literal.Number.Hex */
.highlight .mi {
  color: #ae81ff;
}

/* Literal.Number.Integer */
.highlight .mo {
  color: #ae81ff;
}

/* Literal.Number.Oct */
.highlight .sa {
  color: #e6db74;
}

/* Literal.String.Affix */
.highlight .sb {
  color: #e6db74;
}

/* Literal.String.Backtick */
.highlight .sc {
  color: #e6db74;
}

/* Literal.String.Char */
.highlight .dl {
  color: #e6db74;
}

/* Literal.String.Delimiter */
.highlight .sd {
  color: #e6db74;
}

/* Literal.String.Doc */
.highlight .s2 {
  color: #e6db74;
}

/* Literal.String.Double */
.highlight .se {
  color: #ae81ff;
}

/* Literal.String.Escape */
.highlight .sh {
  color: #e6db74;
}

/* Literal.String.Heredoc */
.highlight .si {
  color: #e6db74;
}

/* Literal.String.Interpol */
.highlight .sx {
  color: #e6db74;
}

/* Literal.String.Other */
.highlight .sr {
  color: #e6db74;
}

/* Literal.String.Regex */
.highlight .s1 {
  color: #e6db74;
}

/* Literal.String.Single */
.highlight .ss {
  color: #e6db74;
}

/* Literal.String.Symbol */
.highlight .bp {
  color: #f8f8f2;
}

/* Name.Builtin.Pseudo */
.highlight .fm {
  color: #a6e22e;
}

/* Name.Function.Magic */
.highlight .vc {
  color: #f8f8f2;
}

/* Name.Variable.Class */
.highlight .vg {
  color: #f8f8f2;
}

/* Name.Variable.Global */
.highlight .vi {
  color: #f8f8f2;
}

/* Name.Variable.Instance */
.highlight .vm {
  color: #f8f8f2;
}

/* Name.Variable.Magic */
.highlight .il {
  color: #ae81ff;
}

/* Literal.Number.Integer.Long */
.svg-icon {
  width: 40px;
  height: 40px;
  display: inline-block;
}
.svg-icon.dribbble {
  background-image: url();
}
.svg-icon.email {
  background-image: url();
}
.svg-icon.facebook {
  background-image: url();
}
.svg-icon.flickr {
  background-image: url();
}
.svg-icon.github {
  background-image: url();
}
.svg-icon.instagram {
  background-image: url();
}
.svg-icon.linkedin {
  background-image: url();
}
.svg-icon.pinterest {
  background-image: url();
}
.svg-icon.rss {
  background-image: url();
}
.svg-icon.stackoverflow {
  background-image: url();
}
.svg-icon.twitter {
  background-image: url();
}
.svg-icon.youtube {
  background-image: url();
}
.svg-icon.googleplus {
  background-image: url();
}
.svg-icon.mastodon {
  background-image: url(" xmlns='http://www.w3.org/2000/svg' shape-rendering='geometricPrecision' text-rendering='geometricPrecision' image-rendering='optimizeQuality' fill-rule='evenodd' clip-rule='evenodd' viewBox='0 0 512 512'%3E%3Cdefs%3E%3ClinearGradient id='prefix__a' gradientUnits='userSpaceOnUse' x1='251.07' y1='.003' x2='251.07' y2='507.468'%3E%3Cstop offset='0' stop-color='%236364FF'/%3E%3Cstop offset='1' stop-color='%23563ACC'/%3E%3C/linearGradient%3E%3C/defs%3E%3Cpath fill='url(./?mortyurl=https%3A%2F%2Fcloudmark.github.io%2F%2523prefix__a)' d='M256 0c141.284 0 256 114.563 256 256 0 141.284-114.563 256-256 256C114.716 512 0 397.437 0 256 0 114.716 114.563 0 256 0z'/%3E%3Cpath fill='%23fff' fill-rule='nonzero' d='M390.507 175.486c-4.177-31.049-31.239-55.52-63.32-60.261-5.413-.801-25.918-3.718-73.421-3.718h-.354c-47.516 0-57.709 2.917-63.121 3.718-31.188 4.61-59.669 26.596-66.579 58.014-3.323 15.472-3.679 32.627-3.061 48.361.88 22.566 1.051 45.09 3.101 67.564a317.86 317.86 0 007.395 44.317c6.568 26.924 33.158 49.331 59.209 58.474a158.807 158.807 0 0086.622 4.57 126.28 126.28 0 009.367-2.561c6.988-2.22 15.173-4.702 21.191-9.064a.676.676 0 00.275-.524v-21.777a.638.638 0 00-.504-.618.648.648 0 00-.284 0 240.049 240.049 0 01-56.212 6.568c-32.581 0-41.342-15.459-43.85-21.894a67.832 67.832 0 01-3.811-17.259.62.62 0 01.232-.523.62.62 0 01.555-.121 235.52 235.52 0 0055.294 6.567c4.479 0 8.946 0 13.425-.119 18.732-.525 38.479-1.484 56.908-5.083.461-.091.921-.171 1.314-.288 29.072-5.584 56.739-23.104 59.549-67.472.105-1.748.369-18.297.369-20.108.011-6.16 1.983-43.699-.289-66.763zm-46.058 34.885v77.139h-30.568v-74.867c0-15.761-6.569-23.8-19.929-23.8-14.689 0-22.045 9.51-22.045 28.291v40.981h-30.384v-40.981c0-18.781-7.37-28.291-22.057-28.291-13.281 0-19.916 8.039-19.916 23.8v74.867h-30.555v-77.139c0-15.761 4.025-28.283 12.072-37.566 8.303-9.259 19.193-14.013 32.71-14.013 15.646 0 27.469 6.016 35.351 18.033l7.607 12.767 7.619-12.767c7.882-12.017 19.706-18.033 35.324-18.033 13.506 0 24.395 4.754 32.724 14.013 8.041 9.275 12.056 21.797 12.047 37.566z'/%3E%3C/svg%3E");
}
.svg-icon.buymeacoffee {
  width: 40px;
  height: 40px;
  background-size: cover;
  background-image: url("./?mortyurl=https%3A%2F%2Fcdn.buymeacoffee.com%2Fassets%2Fhomepage%2Fmeta%2Fapple-icon-120x120.png");
}

/**************/
/* BASE RULES */
/**************/
html {
  font-size: 100%;
}

body {
  -webkit-font-smoothing: antialiased;
  background: #fff;
  font: 24px/1.4 'Neuton', serif;
  color: #333;
}

.container {
  margin: 0 auto;
  max-width: 1024px;
  padding: 0 10px;
  width: 100%;
}

h1, h2, h3, h4, h5, h6 {
  color: #222;
  font-weight: bold;
  line-height: 1.7;
  margin: 1em 0 15px;
  padding: 0;
}
@media screen and (max-width: 640px) {
  h1, h2, h3, h4, h5, h6 {
    line-height: 1.4;
  }
}

h1 {
  font-size: 30px;
}
h1 a {
  color: inherit;
}

h2 {
  font-size: 24px;
}

h3 {
  font-size: 20px;
}

h4 {
  font-size: 18px;
  color: #666;
}

p {
  margin: 15px 0;
}

a {
  color: #4183C4;
  text-decoration: none;
  cursor: pointer;
}
a:hover, a:active {
  color: #4183C4;
}

ul, ol {
  margin: 15px 0;
  padding-left: 30px;
}

ul {
  list-style-type: disc;
}

ol {
  list-style-type: decimal;
}

ol ul, ul ol, ul ul, ol ol {
  margin: 0;
}

ul ul, ol ul {
  list-style-type: circle;
}

em, i {
  font-style: italic;
}

strong, b {
  font-weight: bold;
}

.title {
  float: left;
  margin-top: 10px;
  margin-right: 15px;
  width: 150px;
  border-radius: 5px;
}

img {
  max-width: 100%;
}

.gmnoprint img {
  max-width: none;
}

.date {
  font-style: italic;
  color: #666;
}

::-moz-selection {
  color: #000;
  background: #eee;
}

::selection {
  color: #000;
  background: #eee;
}

.clearfix:before,
.clearfix:after {
  content: " ";
  display: table;
}

.clearfix:after {
  clear: both;
}

/*********************/
/* LAYOUT / SECTIONS */
/*********************/
.wrapper-masthead {
  margin-bottom: 50px;
}

.masthead {
  padding: 20px 0;
  border-bottom: 1px solid #eee;
}
@media screen and (max-width: 640px) {
  .masthead {
    text-align: center;
  }
}

.site-avatar {
  float: left;
  width: 80px;
  height: 80px;
  margin-right: 15px;
}
@media screen and (max-width: 640px) {
  .site-avatar {
    float: none;
    display: block;
    margin: 0 auto;
  }
}
.site-avatar img {
  border-radius: 10px;
}

.site-info {
  float: left;
}
@media screen and (max-width: 640px) {
  .site-info {
    float: none;
    display: block;
    margin: 0 auto;
  }
}

.site-name {
  margin: 0;
  color: #333;
  cursor: pointer;
  font-weight: 600;
  font-size: 35px;
  letter-spacing: 1px;
}

.site-description {
  margin: -5px 0 0 0;
  color: #666;
  font-size: 16px;
}
@media screen and (max-width: 640px) {
  .site-description {
    margin: 3px 0;
  }
}

nav {
  float: right;
  margin-top: 23px;
}
@media screen and (max-width: 640px) {
  nav {
    float: none;
    margin-top: 9px;
    display: block;
    font-size: 16px;
  }
}
nav a {
  margin-left: 20px;
  color: #333;
  text-align: right;
  font-weight: 300;
  letter-spacing: 1px;
}
@media screen and (max-width: 640px) {
  nav a {
    margin: 0 10px;
    color: #4183C4;
  }
}

.posts > .post {
  padding-bottom: 2em;
  border-bottom: 1px solid #eee;
}

.posts > .post:last-child {
  padding-bottom: 1em;
  border-bottom: none;
}

.post blockquote {
  margin: 1.8em .8em;
  border-left: 2px solid #666;
  padding: 0.1em 1em;
  color: #666;
  font-size: 22px;
  font-style: italic;
}
.post .comments {
  margin-top: 10px;
}
.post .read-more {
  text-transform: capitalize;
  font-size: 25px;
  width: 100%;
  font-weight: 700;
  padding-bottom: 5px;
  display: block;
  text-align: center;
  background: #4183C4;
  color: #fff;
  border: 1px solid #4183C4;
  border-radius: 10px;
}
.post .read-more:hover {
  background: #fff;
  color: #4183C4;
}

.wrapper-footer {
  margin-top: 50px;
  border-top: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
  background-color: #eee;
}

.note {
  border-left: 5px solid #4183C4;
  padding-left: 10px;
}

.warning {
  border-left: 5px solid red;
  padding-left: 10px;
}

footer {
  padding: 20px 0;
  text-align: center;
}

.footnotes {
  background: #efefef;
  padding: 10px 10px;
  border-radius: 10px;
}

.footnote {
  vertical-align: super;
  font-size: smaller;
}

.step {
  margin: 0 auto;
  width: 100%;
  display: block;
}

.center {
  margin: 0 auto;
  display: block;
}

.button_inline {
  display: inline;
  background-color: #34302d;
  background-image: none;
  border-radius: 0;
  color: #f1f1f1;
  font-size: 14px;
  line-height: 14px;
  border: 2px solid #6db33f;
  padding: 5px 5px;
}

table {
  margin: 0 auto;
}

table tr th {
  font-weight: 600;
}

table tr {
  border-top: 1px solid #ccc;
  background-color: #fff;
  margin: 0;
  padding: 0;
}

table tr:nth-child(2n) {
  background-color: #f8f8f8;
}

table tr th[align="center"], table tr td[align="center"] {
  text-align: center;
}

table tr th, table tr td {
  border: 1px solid #ccc;
  text-align: left;
  margin: 0;
  padding: 6px 13px;
}

.example {
  border-left: 10px solid black;
  padding-left: 15px;
  background: #eaeaea;
}
